# -*- coding: utf8 -*-
from __future__ import unicode_literals

import unittest

from driverng.protocol.kermit import KermitProtocol


class TestKermit(unittest.TestCase):
    def setUp(self):
        self.P = KermitProtocol()

    def test_build_trames(self):
        self.assertEqual(
            self.P.build_trames(
                b"""1057160930               2673703832     10"41.000     6.36 100}!   76.   100}$    5.82 100}%    8.15 100}+    1.24 100}.   78.4  100}2    2.36 100}4   32.   000}5  102.   000}6   24.   000}:   54.   000}L    0.   053OR}Y    1.04 100}|J6911     ]"""
            ),
            [
                b'D1057160930               2673703832     10"41.000     6.36 100}!   76.   100}$    5.82 100}%  ',
                b"D  8.15 100}+    1.24 100}.   78.4  100}2    2.36 100}4   32.   000}5  102.   000}6   24.   000",
                b"D}:   54.   000}L    0.   053OR}Y    1.04 100}|J6911     ]",
            ],
        )

    def test_echappement(self):
        self.assertEqual(
            self.P.build_trames(
                b"""2702736432     10 01.00!#()./3456:L|LABAYSSE       STEPHANE  ]"""
            ),
            [b"""D2702736432     10 01.00!##()./3456:L|LABAYSSE       STEPHANE  ]"""],
        )
